Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/vino: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 16 Jan 2015 18:32:33 +0000

---
 testing/vino/APKBUILD   | 59 +++++++++++++++++++++++++++++++++++++++++++++++++
 testing/vino/vino.initd | 26 ++++++++++++++++++++++
 2 files changed, 85 insertions(+)
 create mode 100644 testing/vino/APKBUILD
 create mode 100644 testing/vino/vino.initd
diff --git a/testing/vino/APKBUILD b/testing/vino/APKBUILD
new file mode 100644
index 0000000..d470ac3
--- /dev/null
+++ b/testing/vino/APKBUILD
_at_@ -0,0 +1,59 @@
+# Contributor:
+# Maintainer:
+pkgname=vino
+pkgver=3.14.1
+pkgrel=0
+pkgdesc="The GNOME desktop sharing server"
+url="https://wiki.gnome.org/Projects/Vino"
+arch="all"
+license="GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev libsoup-dev glib-dev gtk+3.0-dev libnotify-dev
+	libsm-dev"
+install=""
+subpackages=""
+source="http://ftp.gnome.org/pub/GNOME/sources/vino/3.14/$pkgname-$pkgver.tar.xz
+	$pkgname.initd"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+                --host=$CHOST \
+		--localstatedir=/var \
+		--without-gnutls \
+		--without-gcrypt \
+		--prefix=/usr \
+		|| return 1
+	make \
+		|| return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install \
+		|| return 1
+
+ 	install -m755 -D "$srcdir"/$pkgname.initd \
+                "$pkgdir"/etc/init.d/$pkgname \
+		|| return 1
+}
+
+md5sums="f2146337a41fd52306c5b1aefcc462f1  vino-3.14.1.tar.xz
+9f447793e4c17e851526aee5b23d4083  vino.initd"
+sha256sums="712bbb220cc16a9822a0617ae9ceb0fe8b326d5b3428210af7afe77effbbca8a  vino-3.14.1.tar.xz
+20ba22550cc0971cac56951afea5ec5042ad4591b844e8cc5698b2494fe614cf  vino.initd"
+sha512sums="37ab7accdbbc65b0e93f73a0606f870a030aff9c093eca47b43766c217ba7497b56503ae2cd5d5cdf2b1fc614d5f25f816858047be71c764966018a2c74f76b6  vino-3.14.1.tar.xz
+19146e60cd4b1120cd21545010da9dfcb0be6e8e263462411cfc2ae89ffba6eef9a17c7647fe12ca41d3c277f307f3d740a93f8bec7a962cfbb8d902a2ddc316  vino.initd"
diff --git a/testing/vino/vino.initd b/testing/vino/vino.initd
new file mode 100644
index 0000000..46819d4
--- /dev/null
+++ b/testing/vino/vino.initd
_at_@ -0,0 +1,26 @@
+#!/sbin/runscript
+
+command=/usr/libexec/vino-server
+
+depend() {
+        need net
+        after firewall
+}
+
+start () {
+        ebegin "Starting vino-server"
+        export DISPLAY=:0.0
+        start-stop-daemon \
+                --background \
+                --start \
+                --exec $command
+        eend $?
+}
+
+stop () {
+        ebegin "Stopping vino-server"
+        start-stop-daemon \
+		--stop \
+		--exec $command
+        eend $?
+}
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Jan 16 2015 - 18:32:33 GMT